## cwdaemon 0.9.5

=== Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/cwdaemon
pkglibdir = $(libdir)/cwdaemon
pkgincludedir = $(includedir)/cwdaemon
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
sbin_PROGRAMS = cwdaemon$(EXEEXT)
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/cwdaemon.8.in \
	$(srcdir)/cwdaemon.spec.in $(top_srcdir)/configure AUTHORS \
	COPYING ChangeLog INSTALL NEWS TODO config.guess config.sub \
	depcomp install-sh missing mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = cwdaemon.8 cwdaemon.spec
am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"
sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(sbin_PROGRAMS)
am_cwdaemon_OBJECTS = cwdaemon.$(OBJEXT) lp.$(OBJEXT) ttys.$(OBJEXT) \
	null.$(OBJEXT)
cwdaemon_OBJECTS = $(am_cwdaemon_OBJECTS)
cwdaemon_DEPENDENCIES =
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(cwdaemon_SOURCES)
DIST_SOURCES = $(cwdaemon_SOURCES)
man8dir = $(mandir)/man8
NROFF = nroff
MANS = $(man_MANS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/acerion/current/cwdaemon/working/cwdaemon/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/acerion/current/cwdaemon/working/cwdaemon/missing --run tar
AUTOCONF = ${SHELL} /home/acerion/current/cwdaemon/working/cwdaemon/missing --run autoconf
AUTOHEADER = ${SHELL} /home/acerion/current/cwdaemon/working/cwdaemon/missing --run autoheader
AUTOMAKE = ${SHELL} /home/acerion/current/cwdaemon/working/cwdaemon/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"cwdaemon\" -DPACKAGE_TARNAME=\"cwdaemon\" -DPACKAGE_VERSION=\"0.9.4\" -DPACKAGE_STRING=\"cwdaemon\ 0.9.4\" -DPACKAGE_BUGREPORT=\"pg4i@amsat.org\" -DPACKAGE=\"cwdaemon\" -DVERSION=\"0.9.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_ERRNO_H=1 -DHAVE_ARPA_INET_H=1 -DHAVE_FCNTL_H=1 -DHAVE_NETDB_H=1 -DHAVE_NETINET_IN_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_STRINGS_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_SOCKET_H=1 -DHAVE_SYSLOG_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_LINUX_PPDEV_H=1 -DHAVE_STDIO_H=1 -DHAVE_SIGNAL_H=1 -DHAVE_STDARG_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_SYS_RESOURCE_H=1 -DHAVE_SYS_STAT_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_SYS_KD_H=1 -DHAVE_SYS_SOUNDCARD_H=1 -DHAVE_FORK=1 -DHAVE_VFORK=1 -DHAVE_WORKING_VFORK=1 -DHAVE_WORKING_FORK=1 -DRETSIGTYPE=void -DHAVE_BZERO=1 -DHAVE_SOCKET=1 -DHAVE_STRERROR=1 -DHAVE_SETPRIORITY=1 -DHAVE_SINF=1 -DHAVE_FLOORF=1 -DHAVE_LIBM=1
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lm 
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/acerion/current/cwdaemon/working/cwdaemon/missing --run makeinfo
OBJEXT = o
PACKAGE = cwdaemon
PACKAGE_BUGREPORT = pg4i@amsat.org
PACKAGE_NAME = cwdaemon
PACKAGE_STRING = cwdaemon 0.9.4
PACKAGE_TARNAME = cwdaemon
PACKAGE_VERSION = 0.9.4
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
RPMBUILD = rpm
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
UNIXCW_CFLAGS = -I/usr/include/alsa  
UNIXCW_LIBS = -lcw -lpthread -lm -lasound  
VERSION = 0.9.4
ac_ct_CC = gcc
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/acerion/current/cwdaemon/working/cwdaemon/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
INCLUDES = -I/usr/include/alsa  
cwdaemon_LDADD = -lcw -lpthread -lm -lasound  
CLEANFILES = *~
EXTRA_DIST = cwdaemon.spec.in cwdaemon.spec test/cwtest.sh test/cwtest.c \
  cwdaemon.png TODO cwsetup.sh

man_MANS = cwdaemon.8
cwdaemon_SOURCES = cwdaemon.c cwdaemon.h lp.c ttys.c null.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
cwdaemon.8: $(top_builddir)/config.status $(srcdir)/cwdaemon.8.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
cwdaemon.spec: $(top_builddir)/config.status $(srcdir)/cwdaemon.spec.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(sbindir)" || $(mkdir_p) "$(DESTDIR)$(sbindir)"
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(sbindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(sbindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(sbindir)/$$f"; \
	done

clean-sbinPROGRAMS:
	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
cwdaemon$(EXEEXT): $(cwdaemon_OBJECTS) $(cwdaemon_DEPENDENCIES) 
	@rm -f cwdaemon$(EXEEXT)
	$(LINK) $(cwdaemon_LDFLAGS) $(cwdaemon_OBJECTS) $(cwdaemon_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/cwdaemon.Po
include ./$(DEPDIR)/lp.Po
include ./$(DEPDIR)/null.Po
include ./$(DEPDIR)/ttys.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`
uninstall-info-am:
install-man8: $(man8_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man8dir)" || $(mkdir_p) "$(DESTDIR)$(man8dir)"
	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    8*) ;; \
	    *) ext='8' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst"; \
	done
uninstall-man8:
	@$(NORMAL_UNINSTALL)
	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    8*) ;; \
	    *) ext='8' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f '$(DESTDIR)$(man8dir)/$$inst'"; \
	  rm -f "$(DESTDIR)$(man8dir)/$$inst"; \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \

## cwdaemon 0.8

=== debian/changelog ===
cwdaemon (0.8) unstable; urgency=low

  * Cwdaemon is now integrated with unixcw, see cwlib.c and cwlib.h.
    Weighting has been added to unixcw and some special characters needed
    by cwdaemon. The choppiness reported in previous versions of cwdaemon is
    fixed. And we have soundcard support!
  * Better handling of aborting messages.
  * Weighting now uses a value of -50 to 50.
  * 2 extra command line options: -v for volume and -x for sound device.
  * 2 extra escape sequences for controlling cwdaemon: ESCfx for switching the
    sound output on the fly and ESCgx for setting the soundcard volume.
  * Tune (ESCc) now uses seconds as an argument, e.g. ESCc1 tunes 1 second,
    ESCc10 tunes 10 seconds. Maximum tune value is 10 seconds.
  * A fix by Lada, OK1ZIA for big endian systems.
  * Footswitch support by Wolf, DL2WRJ (pin 15 of the parallel port).
  * New morse character '@' has been added.
  * Process priority of cwdaemon can be set with the -P flag. You can try this
    if you experience timing problems.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 26 Apr 2004 21:27:29 +0200

cwdaemon (0.7) unstable; urgency=low

  * Band info output on pins 2, 7, 8, 9 of the parallel port
    (pin 2 = lsb, 9 = msb, e.g. 1000 = 160m, 1001 = 10m).
    Patch by Rein Couperus, PA0R.
  * Corrected the parallel port schematic for PTT switching.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 26 Oct 2003 16:37:51 +0100

cwdaemon (0.6) unstable; urgency=low

  * POSIX compliant in/output is now used for the serial and parallel port,
    which means that cwdaemon should now run on any hardware that runs linux.
    Please read the README for serial/parallel port setup.
  * Debian: set architecture to 'any'.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 27 Jun 2003 20:46:20 +0200

cwdaemon (0.5) unstable; urgency=low

  * Patch by Ladislav Vaiz, OK1ZIA <ziav@adela.fel.zcu.cz>:
  * Adds a pin to the lpt port for switching between a soundcard and
    microphone, uses ESCb escape code.
  * Lada has also split the code into separate files for the serial and
    parallel port.
  * Buffer overflows were fixed.
  * New escape codes: ESC8: device type, ESC9: base port number.
  * Work by Rolf, DL2WRJ:
  * ESCa: PTT on/off, ESCc: tuning on/off, ESCd: PTT delay.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 11 May 2003 15:48:47 +0200

cwdaemon (0.4) unstable; urgency=low

  * Support for /dev/lp1 parallel port added.
  * Add weighting. This can be set from the command line (-w switch) or
    from an application using ESC7. Values are from -5 to 5. Contributed by
    DL2WRJ.
  * Speed in/decrease is set at 2 wpm intervals.
  * Halfspace delay has been added, which simply adds half of the dash time
    to the delay after each sign send. You have to use the '~' for that.
    See the README. Contributed by DL2WRJ. Thanks Wolf!
  * New serial schematic with port protection and better keying.
  * Also build a debian package on alpha.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue,  8 Apr 2003 20:57:20 +0200

cwdaemon (0.3) unstable; urgency=low

  * Support added for serial ports, contributed by Wolf-Ruediger Juergens,
    DL2WRJ <WJuergens at t-online.de>. This brings a new command line option:
    -d <device>. Device should be one of ttyS0, ttyS1 or lp0.
  * New function: errmsg for writing to the syslog or console when not forked.
  * Getopt is now used for command line parsing. Some checks added for correct
    UDP port values.
  * The dot-dash delay has been adjusted, so it sounds a bit better.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat,  5 Apr 2003 12:41:49 +0200

cwdaemon (0.2.3) unstable; urgency=low

  * Fix a bug reported by Wilbert Knol <zl2bsj at zl2tze.ath.cx>, cwdaemon
    would 'remember' previous lines, if they are longer than the current one.
  * Add some command line arguments (see cwdaemon -h). The default port can 
    now be changed with '-p', '-n' will cause cwdaemon not to fork and print
    debug information to stdout.
  * Many cleanups (up till here 0.2.2 test release).
  * Fixed a divide by zero which would crash cwdaemon.
  * Use nanosleep instead of usleep.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun,  9 Mar 2003 21:26:24 +0100

cwdaemon (0.2.1) unstable; urgency=low

  * Use automake and autoconf.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 18 Jan 2003 14:40:15 +0100

cwdaemon (0.2) unstable; urgency=low

  * Initial release for debian.
  * Added support for german umlauts, "ringed a" and "n tilde".
  * Now installs by default in /usr/sbin.
  * Many cosmetic fixes.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 11 Jan 2003 11:03:19 +0100

cwdaemon (0.1) unstable; urgency=low

  * First public release by Rein, PA0RCT.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 17 Nov 2002 21:15:11 +0100

=== debian/control ===
Source: cwdaemon
Section: hamradio
Priority: optional
Maintainer: Joop Stakenborg <pa3aba@debian.org>
Standards-Version: 3.6.1
Build-Depends: debmake

Package: cwdaemon
Architecture: any
Depends: ${shlibs:Depends}
Description: Morse daemon for the parallel or serial port
 Cwdaemon is a small daemon which uses the pc parallel or serial port 
 and a simple transistor switch to output morse code to a transmitter 
 from a text message sent to it via the udp internet protocol.

## cwdaemon 0.9

=== debian/changelog ===
cwdaemon (0.9) unstable; urgency=low

  * A tiny fix for the init script. Closes: #275359.
  * ESCh will send echo to the program using cwdaemon when CW playing is done,
    using the '^' character. Added by Lada, OK1ZIA. This is used by tucnak,
    a VHF contest logging program, see http://tucnak.nagano.cz.
  * Debian init.d bootscript added by Lada, together with /etc/default/cwdaemon,
    which you can use to configure cwdaemon. Set START_CWDAEMON=no in 
    /etc/default/cwdaemon to disable start at boottime.
  * Serial and parallel port now supported on FreeBSD. Parallel port and various
    BSD fixes thanks to Diane Bruce, VA3DB.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 24 Aug 2004 09:25:25 +0200

## cwdaemon 0.9.2

=== debian/changelog ===
cwdaemon (0.9.2) unstable; urgency=low

  * Many patches by Jason L. Wright, AI4JW, which brings us OpenBSD support
    (you will need OpenBSD-current or the upcoming OpenBSD-3.7) and the
    following:
  * Better command line parsing and error checking added.
  * The 'none' sound device had been added in case you don't want a sidetone.
  * Free entry of portnames has been added, together with autodetection of
    ports. This should give is support for more platforms.
  * Many minor bugfixes.
  * A null device has been added, in case you want sidetone, but no keying
    (see 'man cwdaemon').

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 30 Jan 2005 09:40:29 +0100

cwdaemon (0.9.1) unstable; urgency=low

  * Small patch by Vincent Arkesteijn, which fixes a buffer overflow.
    Closes: #288639.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat,  8 Jan 2005 16:14:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: cwdaemon
 Architecture: any
 Depends: ${shlibs:Depends}
-Description: Morse daemon for the parallel or serial port
+Description: morse daemon for the parallel or serial port
  Cwdaemon is a small daemon which uses the pc parallel or serial port 
  and a simple transistor switch to output morse code to a transmitter 
  from a text message sent to it via the udp internet protocol.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=cwdaemon

build:
	$(checkdir)
	./configure --prefix=/usr
	$(MAKE)
	touch build

clean:
	$(checkdir)
	rm -f build config.log config.cache config.status
	-$(MAKE) clean
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	cp -a debian/cwdaemon.default debian/tmp/etc/default/cwdaemon
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd -m TODO NEWS
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## cwdaemon 0.9.4

=== debian/changelog ===
cwdaemon (0.9.4-9) unstable; urgency=low

  * New maintainer/upstream: Kamil Ignacak <acerion@wp.pl>; there is no
    new project page yet.
  * Applying patches from Jenö Vago <ha5se@ha5hrk.hu>, with small changes
    from Kamil Ignacak.
  * Install /usr/share/cwdaemon/*.sh scripts with correct permissions.

 -- Kamil Ignacak <acerion@wp.pl>  Fri, 27 Jan 2012 20:59:43 +0100

cwdaemon (0.9.4-8) unstable; urgency=medium

  * Replace build-depends on unixcw-dev with libcw3-dev (Closes: #652618).
  * Minor changes for transition to libcw3.
  * Set urgency to medium due to rc bug fix.
  * New Debian maintainer (Closes: #553396).
  * Debian packaging cleanup: 3.0 (quilt) format, lintian fixes, dh compat
    and standards versions bumped.

 -- Kamal Mostafa <kamal@whence.com>  Thu, 22 Dec 2011 16:50:47 -0800

cwdaemon (0.9.4-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Removed bashism from cwsetup.sh script.
  * Bumped Standards-Version to 3.8.3, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sat, 23 Jan 2010 14:37:26 +0100

cwdaemon (0.9.4-7) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 30 Oct 2009 21:09:11 +0000

cwdaemon (0.9.4-6) unstable; urgency=low

  * Rebuild the package now that hppa generates the correct libcw.pc.
    Depends on unixcw 2.3-10 or greater.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 20 Jul 2008 14:23:37 +0200

cwdaemon (0.9.4-5) unstable; urgency=low

  * Add LSB formatted dependency info in init.d script. Closes: #468863.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 04 Mar 2008 09:46:13 +0100

cwdaemon (0.9.4-4) unstable; urgency=low

  * Build-depends unixcw 2.3-9, now that libcw.pc is created correctly
    on ia64. Closes: #462900.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 10 Feb 2008 18:21:12 +0100

cwdaemon (0.9.4-3) unstable; urgency=low

  * Conflicts winkeydaemon.
  * Lintian fixes.
  * Bump standards version.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 27 Jan 2008 20:35:02 +0100

cwdaemon (0.9.4-2) unstable; urgency=low

  * Build depend on pkg-config.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon,  4 Dec 2006 18:34:09 +0100

cwdaemon (0.9.4-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 29 Nov 2006 19:52:19 +0100

cwdaemon (0.9.3-1) unstable; urgency=low

  * No longer distribute as debian-native.
  * Migrate to debhelper.
  * Explain configuration of the Debian package in README.Debian.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 19 Feb 2006 12:04:16 +0100

=== debian/control ===
Source: cwdaemon
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamil Ignacak <acerion@wp.pl>, Kamal Mostafa <kamal@whence.com>
Standards-Version: 3.9.2
Build-Depends: debhelper (>=7), autotools-dev, libcw3-dev (>=3.0-2), pkg-config

Package: cwdaemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: winkeydaemon
Description: morse daemon for the parallel or serial port
 Cwdaemon is a small daemon which uses the pc parallel or serial port
 and a simple transistor switch to output morse code to a transmitter
 from a text message sent to it via the udp internet protocol.

## cwdaemon 0.9.5

=== debian/changelog ===
cwdaemon (0.9.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: (patch from Andreas Moog)
    - Only run dh_auto_clean if the .deps directory exists
    (Closes: #724156)

 -- Colin Tuckley <colint@debian.org>  Thu, 20 Feb 2014 10:30:40 +0000

cwdaemon (0.9.5-1) unstable; urgency=low

  * New version of upstream package;
  * cwdaemon project has new home page (cwdaemon.sf.net);
  * Debian patches 01-06 from 0.9.4-9 applied, debian/patch/* files removed;
  * cwdaemon now has git repository, so adding watch file to debian/*;
  * other necessary changes in debian/*;

    This upstream version (0.9.5) is essentially an official upstream
    release of Debian package 0.9.4-9, with Debian patches applied.
    No new features and no new fixes were added to 0.9.5, compared to
    0.9.4-9. Purpose of upstream release 0.9.5 is to establish a starting
    point for revived cwdaemon project.

 -- Kamil Ignacak <acerion@wp.pl>  Thu, 05 Apr 2012 19:33:45 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	[ ! -d .deps ] || dh_auto_clean

=== debian/watch ===
version=3
http://sf.net/cwdaemon/cwdaemon-(.+)\.tar\.gz

## cwdaemon 0.10.1

=== test/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) 2003, 2006 Joop Stakenborg <pg4i@amsat.org>
# Copyright (C) 2012 - 2014 Kamil Ignacak (acerion@wp.pl)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#


am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/cwdaemon
pkgincludedir = $(includedir)/cwdaemon
pkglibdir = $(libdir)/cwdaemon
pkglibexecdir = $(libexecdir)/cwdaemon
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
noinst_PROGRAMS = cwtest$(EXEEXT)
subdir = test
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/mkinstalldirs $(top_srcdir)/depcomp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_cwtest_OBJECTS = cwtest.$(OBJEXT)
cwtest_OBJECTS = $(am_cwtest_OBJECTS)
cwtest_LDADD = $(LDADD)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(cwtest_SOURCES)
DIST_SOURCES = $(cwtest_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.14
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -W -pedantic -Wfloat-equal -Wpointer-arith -Wcast-qual -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations -Wredundant-decls -std=c99
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAINT = #
MAKEINFO = makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = cwdaemon
PACKAGE_BUGREPORT = acerion@wp.pl
PACKAGE_NAME = cwdaemon
PACKAGE_STRING = cwdaemon 0.10.1
PACKAGE_TARNAME = cwdaemon
PACKAGE_URL = 
PACKAGE_VERSION = 0.10.1
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RPMBUILD = rpmbuild
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
UNIXCW_CFLAGS =  
UNIXCW_LIBS = -lcw  
VERSION = 0.10.1
abs_builddir = /home/acerion/current/cwdaemon/git_repo/cwdaemon/test
abs_srcdir = /home/acerion/current/cwdaemon/git_repo/cwdaemon/test
abs_top_builddir = /home/acerion/current/cwdaemon/git_repo/cwdaemon
abs_top_srcdir = /home/acerion/current/cwdaemon/git_repo/cwdaemon
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/acerion/current/cwdaemon/git_repo/cwdaemon/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

# source code files used to build cwtest program
cwtest_SOURCES = cwtest.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu test/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

cwtest$(EXEEXT): $(cwtest_OBJECTS) $(cwtest_DEPENDENCIES) $(EXTRA_cwtest_DEPENDENCIES) 
	@rm -f cwtest$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(cwtest_OBJECTS) $(cwtest_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/cwtest.Po

.c.o:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ $<

.c.obj:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

=== debian/changelog ===
cwdaemon (0.10.1-1) unstable; urgency=medium

  [ Kamil Ignacak ]
  * New version of upstream package that fixes two major errors and
    two minor errors. It is recommended to use libcw 6.1.1 from
    unixcw 3.3.1 with this version of cwdaemon
  * Bump Standards-Version to 3.9.5

  [ Colin Tuckley ]
  * Remove the NMU (not needed with new upstream).
  * Fix unescaped hyphens in man page.

 -- Colin Tuckley <colint@debian.org>  Wed, 25 Jun 2014 11:07:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Kamil Ignacak <acerion@wp.pl>, Kamal Mostafa <kamal@whence.com>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>=7), autotools-dev, libcw3-dev (>=3.0-2), pkg-config
+Uploaders: Kamil Ignacak <acerion@wp.pl>, Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>=7), autotools-dev, libcw6-dev, pkg-config, dpkg-dev (>= 1.16.1~)
+Homepage: http://cwdaemon.sourceforge.net/
 
 Package: cwdaemon
 Architecture: any

## cwdaemon 0.10.2

=== debian/changelog ===
cwdaemon (0.10.2-2) unstable; urgency=medium

  * Fix watch file
  * Bump Standards-Version to 4.0.0
  * Clean up init script invocation

 -- Colin Tuckley <colint@debian.org>  Tue, 25 Jul 2017 09:32:30 +0100

cwdaemon (0.10.2-1) unstable; urgency=medium

  [ Kamil Ignacak ]
  * New version of upstream package that includes improved test sets
    and that was tested against most recent libcw (libcw 6.5.1 from
    unixcw 3.5.0 package).

  [ Colin Tuckley ]
  * Bump Standards-Version to 3.9.7
  * Use dh-autoreconf

 -- Colin Tuckley <colint@debian.org>  Tue, 29 Mar 2016 12:14:50 +0100

=== debian/control ===
Source: cwdaemon
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamil Ignacak <acerion@wp.pl>, Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>
Standards-Version: 4.0.0
Build-Depends: debhelper (>=9), autotools-dev, libcw6-dev, pkg-config, dpkg-dev (>= 1.16.1~), dh-autoreconf
Homepage: http://cwdaemon.sourceforge.net/

Package: cwdaemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Conflicts: winkeydaemon
Description: morse daemon for the parallel or serial port
 Cwdaemon is a small daemon which uses the pc parallel or serial port
 and a simple transistor switch to output morse code to a transmitter
 from a text message sent to it via the udp internet protocol.

=== debian/watch ===
version=3
http://sf.net/cwdaemon/cwdaemon_(.+)\.orig\.tar\.gz
